hal-info 10-modem.fdi needs another entry for UM175

Bug #328309 reported by Noel J. Bergman on 2009-02-11
2
Affects Status Importance Assigned to Milestone
hal-info (Ubuntu)
Undecided
Martin Pitt

Bug Description

Follow up to Bug 282573 (and please advise if I should have just reopened that one).

$ diff -u /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi~ /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi
--- /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi~ 2009-02-10 11:26:13.000000000 -0500
+++ /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi 2009-02-10 22:13:07.000000000 -0500
@@ -190,7 +190,7 @@
       <!-- Pantech -->
       <match <email address hidden>:usb.vendor_id" int="0x106c">
         <!-- PC5740, PC5750, UM150 EVDO rev A card, UM175 EVDO, UM175 EVDO rev A -->
- <match <email address hidden>:usb.product_id" int_outof="0x3701;0x3702;0x3711;0x3712;0x3714">
+ <match <email address hidden>:usb.product_id" int_outof="0x3701;0x3702;0x3711;0x3712;0x3714;0x3715">
           <match <email address hidden>:usb.interface.number" int="0">
             <append key="modem.command_sets" type="strlist">IS-707-A</append>
           </match>

0x3715 is the new entry, and is for my UM175AL:

=== supporting info from lsusb and hal-device ===

Bus 003 Device 003: ID 106c:3715 Curitel Communications, Inc.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 2 Communications
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x106c Curitel Communications, Inc.
  idProduct 0x3715
  bcdDevice 1.00
  iManufacturer 1
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 113
    bNumInterfaces 4
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 2 Communications
      bInterfaceSubClass 2 Abstract (modem)
      bInterfaceProtocol 1 AT-commands (v.25ter)
      iInterface 0
      CDC Header:
        bcdCDC 1.09
      CDC Call Management:
        bmCapabilities 0x03
          call management
          use DataInterface
        bDataInterface 1
      CDC ACM:
        bmCapabilities 0x0f
          connection notifications
          sends break
          line coding and serial state
          get/set/clear comm features
      CDC Union:
        bMasterInterface 0
        bSlaveInterface 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0010 1x 16 bytes
        bInterval 32
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 10 CDC Data
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0
      iInterface 3
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 2
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 0
      bInterfaceProtocol 0
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x84 EP 4 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x04 EP 4 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 3
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x05 EP 5 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0

and from hal-device:

6: udi = '/org/freedesktop/Hal/devices/usb_device_106c_3715_noserial_if0_serial_unknown_0'
  info.callouts.remove = { 'hal-acl-tool --remove-device' } (string list)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.1/usb3/3-1/3-1:1.0/tty/ttyACM0' (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_106c_3715_noserial_if0' (string)
  info.subsystem = 'tty' (string)
  info.product = 'Serial Port' (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_106c_3715_noserial_if0_serial_unknown_0' (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_106c_3715_noserial_if0' (string)
  serial.device = '/dev/ttyACM0' (string)
  serial.port = 0 (0x0) (int)
  serial.type = 'unknown' (string)
  linux.device_file = '/dev/ttyACM0' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'tty' (string)
  info.capabilities = { 'serial', 'modem', 'access_control' } (string list)
  access_control.file = '/dev/ttyACM0' (string)
  modem.command_sets = { 'V.250', 'IS-707-A' } (string list)
  info.category = 'serial' (string)
  info.callouts.add = { 'hal-acl-tool --add-device' } (string list)
  access_control.type = 'modem' (string)

Related branches

Noel J. Bergman (noeljb) wrote :

See also: http://blogger.ziesemer.com/2008/10/alltel-um175al-usb-evdo-ubuntu.html

Because we're going to need to add usb_modeswitch and a udev entry to handle this beast.

FYI, once you have activated the hardware (a one-time operation that requires a Mac or MS-Win machine), modified the hal and udev setup, and installed usb_modeswitch, this variation of the UM175 works well with Jaunty. Now I just need to figure out the rules necessary to ignore the fake CD-ROM.

Martin Pitt (pitti) wrote :

Committed upstream.

Changed in hal-info:
assignee: nobody → pitti
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20090227-0ubuntu1

---------------
hal-info (20090227-0ubuntu1) jaunty; urgency=low

  * New git snapshot:
    - Hotkeys for Fujitsu Siemens Amilo Si 1520 (LP: #317505)
    - Fix Fn+Arrow "Brightness Up" key on Acer laptops (LP: #327707)
    - UM175 modem (LP: #328309)
    - Sleep quirks for HP nw8440 (LP: #328522)
    - Samsung YP-S2 audio player (LP: #331538)
    - Samsung YP-S5 audio player (LP: #332913)
    - Fix Samsung Q210 brightness keys (LP: #333352)
    - Sony Ericsson w880i/3G mobile modem (LP: #334327)

 -- Martin Pitt <email address hidden> Fri, 27 Feb 2009 11:14:51 +0100

Changed in hal-info:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers